TRUNC(3) | NetBSD Library Functions Manual | TRUNC(3)

# NAME

trunc, truncf — nearest integral value with magnitude less than or equal to |x|

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
trunc(double x);

float
truncf(float x);

# DESCRIPTION

The trunc() and truncf() functions return the nearest integral value with magnitude less than or equal to |x|. They are equivalent to rint() and rintf() respectively, in the FP_RZ rounding mode.

# SEE ALSO

ceil(3), floor(3), fpsetround(3), math(3), nextafter(3), rint(3), round(3)

# STANDARDS

The trunc() and truncf() functions conform to ISO/IEC 9899:1999 (“ISO C99”).

March 31, 2006 | NetBSD 5.99